<?php
/**
 * $Id: 1.0.1 mod_archivist.php 30 2011-10-16 15:34:41Z stratakisS $
 * @package: Module Archivist
 * @author: Stavros Stratakis ( WebGift Web Services )
 * @email: info@webgift.gr
 * @link: http://www.webgift.gr
 * @license: Commercial
 * @copyright: (C) 2007-2011 Stavros Stratakis (WebGift Web Services). All rights reserved.
 * @description: Archivist Module displays articles or posts using either Ajax or jQuery technology!
 ************************************************************************************************/


defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');

if (!class_exists('modArchivist')) {
    class modArchivist {

        private $option = 'com_content';
        private $automode = 1;
        private $showlim = 0;
        private $errormsg = '';


        /***************/
        /* CONSTRUCTOR */
        /***************/
        public function __construct($params) {
            $this->getParams($params);
        }


        /******************/
        /* GET PARAMETERS */
        /******************/
        private function getParams($params) {
            
            $this->showlim = (int)$params->get('showlim', 0);
            $this->automode = (int)$params->get('automode', 1);
            if($this->automode == 1){
                $this->option = strtolower(strval(mosGetParam($_REQUEST, 'option', 'com_content')));
            }else{
                $this->option = 'com_content';
            }
            if (!in_array($this->option, array('com_content', 'com_eblog', 'com_eforum'))) {
                $this->option = 'com_content';
            }
                        
            if ($this->limit < 5 || $this->showlim == 0) {
                $this->limit = 5;
            }
        }
        
        
        /***************************/
        /* LOAD FRONT-END LANGUAGE */
        /***************************/        
        private function loadLang(){
            global $lang, $mainframe;
            
			if (file_exists($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$lang.'.php')) {
				$l = $lang;
			} elseif (file_exists($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$mainframe->getCfg('lang').'.php')) {
				$l = $mainframe->getCfg('lang');
			} else {
				$l = 'english';
			}
			require_once($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$l.'.php');
        }
        
        
        /***************************/
        /* RETURNS AVAILABLE YEARS */
        /***************************/
        private function loadYears(){
            global $database, $lang;

            if($this->option == 'com_eblog'){
                $query = "SELECT YEAR(DATE(dateadded)) AS year FROM #__eblog WHERE published = '1' AND ((language IS NULL) OR (language LIKE '%".$lang."%')) GROUP BY YEAR(DATE(dateadded))";
            }else if($this->option == 'com_content'){
                $query = "SELECT YEAR(DATE(created)) AS year FROM #__content WHERE ((language IS NULL) OR (language LIKE '%".$lang."%')) AND state = '1' GROUP BY YEAR(DATE(created))";
            }else if ($this->option == 'com_eforum'){
                $query = "SELECT YEAR(DATE(created)) AS year FROM #__eforum_posts GROUP BY YEAR(DATE(created))";
            }            
            
            $database->setQuery($query, '#__');
            $years = $database->loadObjectList();
            
            return $years;
        }


        /**********************/
        /* GET CSS - JS FILES */
        /**********************/
        private function getCSSJS() {
            global $mainframe;
            ?>
            <script type="text/javascript" src="<?php echo $mainframe->getCfg('live_site').'/modules/mod_archivist/jquery_1.6.1_min.js'; ?>"></script>
            <script type="text/javascript" src="<?php echo $mainframe->getCfg('live_site').'/modules/mod_archivist/mod_archivist.js'; ?>"></script>

            <script type="text/javascript">
			/* <![CDATA[ */
			var header9 = document.getElementsByTagName("head")[0];
			var csslink9 = document.createElement("link");
			csslink9.setAttribute("rel", "stylesheet");
			csslink9.setAttribute("type", "text/css");
			csslink9.setAttribute("href", "<?php echo $mainframe->getCfg('live_site').'/modules/mod_archivist/mod_archivist.css'; ?>");
			csslink9.setAttribute("media", "all");
			header9.appendChild(csslink9);
			/* ]]> */
			</script>
            <?php

        }


        /********************************/
        /* GET THE LAST GENERATED ERROR */
        /********************************/
        private function getError() {
            return $this->errormsg;
        }


        /*****************************************/
        /* SET MODULES COPYRIGHTS - DON'T REMOVE */
        /*****************************************/
        private function setCopyrights($switch=0){
            if($switch == 0){
                echo '<!-- Module Development Archivist for Elxis CMS developed by Webgift web services (http://www.webgiftgr.com) -->'."\n";
                
            }else if($switch == 1){
                echo '<!-- End of Archiver module.  -->'."\n";
            }
        }
        
        
        /*************************************/
        /* CHECK IF MODULE MUST BE PUBLISHED */
        /*************************************/
        public function checkNpublish() {

            if ($this->errormsg != '') {
                echo $this->getError();
                return false;
            }
            $this->loadLang();
            $this->setCopyrights(0);
            $this->getCSSJS();
            $this->publishHTML();
            $this->setCopyrights(1);
        }


        /****************************/
        /* PUBLISH HTML SOURCE CODE */
        /****************************/
        private function publishHTML() {
            global $mainframe, $lang;
            
            $avyears = $this->loadYears();
            $dirct = (_GEM_RTL==1) ? 'rtl' : 'ltr';
            
            if(strpos($_SERVER["HTTP_USER_AGENT"], "MSIE") || strpos($_SERVER["HTTP_USER_AGENT"], "Opera") !== FALSE){    
            ?>
		<form name="fmarchive" action="index.php" method="post" style="margin:0 0 5px 0; padding:0;" onsubmit="return false;"><br />
            <select name="year" id="year" title="<?php echo _SEL_YEAR; ?>" class="smallselect-y" dir="<?php echo $dirct; ?>">
				<option value="0" selected="selected"><?php echo _SEL_YEAR; ?></option>
                <?php 
                foreach($avyears as $avyear){
                    echo '<option value="'.$avyear->year.'">'.$avyear->year.'</option>';
                }
                ?>
			</select> 
			<select name="month" id="month" title="<?php echo _SEL_MONTH; ?>" class="smallselect-m" dir="<?php echo $dirct; ?>">
				<option value="0" selected="selected"><?php echo _SEL_MONTH; ?></option>
                <option value="01" ><?php echo _JAN; ?></option>
                <option value="02" ><?php echo _FEB; ?></option>
                <option value="03" ><?php echo _MAR; ?></option>
                <option value="04" ><?php echo _APR; ?></option>
                <option value="05" ><?php echo _MAY; ?></option>
                <option value="06" ><?php echo _JUN; ?></option>
                <option value="07" ><?php echo _JUL; ?></option>
                <option value="08" ><?php echo _AUG; ?></option>
                <option value="09" ><?php echo _SEP; ?></option>
                <option value="10" ><?php echo _OCT; ?></option>
                <option value="11" ><?php echo _NOV; ?></option>
                <option value="12" ><?php echo _DEC; ?></option>
            </select> 
            <?php 
            if($this->showlim == 1){
            ?>
			<select name="limit" id="limit" title="<?php echo _LIMIT; ?>" class="smallselect-l" dir="<?php echo $dirct; ?>">
                <option value="5" selected="selected">5</option>
				<option value="10">10</option>
				<option value="20">20</option>
				<option value="30">30</option>
				<option value="40">40</option>
				<option value="50">50</option>
			</select> 
            <?php
            }else{
                ?>
			<select style="display: none;" name="limit" id="limit" title="<?php echo _LIMIT; ?>" class="smallselect-l" dir="<?php echo $dirct; ?>">
                <option value="5" selected="selected">5</option>
			</select> 
                <?php
            }
            ?>
            <br />
            <input type="hidden" id="elx_option" value="<?php echo $this->option; ?>" />
            <input type="hidden" id="elx_lang" value="<?php echo $lang; ?>" />
			<a href="javascript:void(null);" onclick="loadArchiver();" class="elx_button-22"><span><?php echo _CHECK; ?></span></a>
			<div class="elx_clear"></div>
		</form>
        <div id="archiverarea"></div>
        <div id="modurl" style="display: none;visibility: hidden;"><?php echo $mainframe->getCfg('live_site'); ?></div>
<?php   
    }else{
            ?>
		<form name="fmarchive" action="index.php" method="post" style="margin:0 0 5px 0; padding:0;" onsubmit="return false;"><br />
            <select name="year" id="year" title="<?php echo _SEL_YEAR; ?>" class="smallselect-y" onchange="getMonths(this.value);" dir="<?php echo $dirct; ?>">
				<option value="0" selected="selected"><?php echo _SEL_YEAR; ?></option>
                <?php 
                foreach($avyears as $avyear){
                    echo '<option value="'.$avyear->year.'">'.$avyear->year.'</option>';
                }
                ?>
			</select> 
            <form name="fmarcshive" action="index.php" method="post" style="margin:0 0 5px 0; padding:0;" onsubmit="return false;">
			<select name="month" id="month" title="<?php echo _SEL_MONTH; ?>" class="smallselect-m" dir="<?php echo $dirct; ?>">
				<option value="0" selected="selected"><?php echo _SEL_MONTH; ?></option>
            </select> 
            </form>
            <?php 
            if($this->showlim == 1){
            ?>
			<select name="limit" id="limit" title="<?php echo _LIMIT; ?>" class="smallselect-l" dir="<?php echo $dirct; ?>">
                <option value="5" selected="selected">5</option>
				<option value="10">10</option>
				<option value="20">20</option>
				<option value="30">30</option>
				<option value="40">40</option>
				<option value="50">50</option>
			</select> 
            <?php
            }else{
                ?>
			<select style="display: none;" name="limit" id="limit" title="<?php echo _LIMIT; ?>" class="smallselect-l" dir="<?php echo $dirct; ?>">
                <option value="5" selected="selected">5</option>
			</select> 
                <?php
            }
            ?>
            <input type="hidden" id="elx_option" value="<?php echo $this->option; ?>" />
            <input type="hidden" id="elx_lang" value="<?php echo $lang; ?>" />
			<a href="javascript:void(null);" onclick="loadArchiver();" class="elx_button-22"><span><?php echo _CHECK; ?></span></a>
			<div class="elx_clear"></div>
		</form>
        <div id="archiverarea"></div>
        <div id="modurl" style="display: none;visibility: hidden;"><?php echo $mainframe->getCfg('live_site'); ?></div>
<?php         
    }
    }
}

$modarchivist = new modArchivist($params);
$modarchivist->checkNpublish();
unset($modarchivist);

}

?>