<?php 
/**
 * $Id: 1.0.1 mod_archivist.php 30 2011-10-16 15:34:41Z stratakisS $
 * @package: Module Archivist
 * @author: Stavros Stratakis ( WebGift Web Services )
 * @email: info@webgift.gr
 * @link: http://www.webgift.gr
 * @license: Commercial
 * @copyright: (C) 2007-2011 Stavros Stratakis (WebGift Web Services). All rights reserved.
 * @description: Archivist Module displays articles or posts using either Ajax or jQuery technology!
 ************************************************************************************************/

define('_VALID_MOS', 1);
session_start();

$elxis_root = str_replace( '/modules/mod_archivist', '', str_replace(DIRECTORY_SEPARATOR, '/', dirname(__FILE__)));
require_once($elxis_root.'/includes/Core/security.php');
require_once ($elxis_root.'/configuration.php');
unset($elxis_root);

if ($mosConfig_offline != 0) { die('BAD'); }

require_once($mosConfig_absolute_path.'/includes/Core/loader.php');

$database = new database($mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix, $mosConfig_dbtype);
$database->debug(0);
$acl = new gacl_api();

require_once($mosConfig_absolute_path.'/includes/sef.php');
require_once($mosConfig_absolute_path.'/includes/frontend.php');

$month = (isset($_POST['month'])) ? $_POST['month'] : 05;
$year = (isset($_POST['year'])) ? $_POST['year'] : 2011;
$limit = (isset($_POST['limit'])) ? $_POST['limit'] : 5;
$elxoption = (isset($_POST['elxoption'])) ? trim($_POST['elxoption']) : 'com_content';
$lang = (isset($_POST['elxlang'])) ? $_POST['elxlang'] : 'english';

switch($elxoption){
    case 'com_eblog':
    $option = 'com_eblog';
    $GLOBALS['option'] = 'com_eblog';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_eblog' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
    case 'com_eforum':
    $option = 'com_eforum';
    $GLOBALS['option'] = 'com_eforum';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_eforum' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
    case 'com_content':
    default:
    $option = 'com_content';
    $GLOBALS['option'] = 'com_content';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_content' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
}

$database->setQuery($query, '#__', 1, 0);
$Itemid = intval($database->loadResult());
$GLOBALS['Itemid'] = $Itemid;

$mainframe = new mosMainFrame($database, $option, $mosConfig_absolute_path);
$mainframe->initSession();
$my = $mainframe->getUser();

require_once($mosConfig_absolute_path.'/includes/Core/access.control.php');

/******************************************************/


switch($elxoption){
    case 'com_eblog':
    $query = "SELECT e.id, e.blogid, e.title,e.dateadded, e.seotitle AS pseotitle, s.seotitle AS bseotitle FROM #__eblog e"
    ."\n LEFT JOIN #__eblog_settings s ON s.blogid = e.blogid"
    ."\n WHERE e.dateadded >='".$year.'-'.$month."-01 00:00:00' AND e.dateadded <= DATE_ADD('".$year.'-'.$month."-01 00:00:00',INTERVAL 1 MONTH) AND e.published = '1' AND ((e.language IS NULL) OR (e.language LIKE '%".$lang."%'))";    
    break;
    case 'com_eforum':
    $query = "SELECT e.id, e.bid, e.title, c.bid, e.created, c.seotitle AS cseotitle FROM #__eforum_posts e"
    ."\n LEFT JOIN #__eforum_boards c ON c.bid = e.bid"
    ."\n WHERE e.created >='".$year.'-'.$month."-01 00:00:00' AND e.created <= DATE_ADD('".$year.'-'.$month."-01 00:00:00',INTERVAL 1 MONTH)";     
    break;
    case 'com_content':
    default:
    $query = "SELECT e.id AS id, c.id AS catid, s.id AS secid, e.catid, e.sectionid, e.title, e.created, e.seotitle AS pseotitle, c.seotitle AS cseotitle, s.seotitle AS sseotitle FROM #__content e"
    ."\n LEFT JOIN #__categories c ON c.id = e.catid"
    ."\n LEFT JOIN #__sections s ON s.id = e.sectionid"
    ."\n WHERE e.created >='".$year.'-'.$month."-01 00:00:00' AND e.created <= DATE_ADD('".$year.'-'.$month."-01 00:00:00',INTERVAL 1 MONTH) AND e.state = '1' AND ((s.language IS NULL) OR (s.language LIKE '%".$lang."%')) AND ((c.language IS NULL) OR (c.language LIKE '%".$lang."%')) AND ((e.language IS NULL) OR (e.language LIKE '%".$lang."%'))";   
    break;
}

$database->setQuery($query, '#__', $limit, 0);
$rows = $database->loadObjectlist();

$out = '';
$out .= '<ul class="mostread">'."\n";
if(count($rows) > 0){
    foreach($rows as $row){
        if($elxoption == 'com_eblog'){
            $stdlink = 'index.php?option=com_eblog&amp;task=show&amp;blogid='.$row->blogid.'&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
            $seolink = 'eblog/'.$row->bseotitle.'/'.$row->pseotitle.'.html';
            $link = sefRelToAbs($stdlink, $seolink);
            $out .= '<li class="latestnews"><a class="mostread" href="'.$link.'" title="'.$row->title.'">'.$row->title.'</a> <span style="font:normal 10px tahoma;color:#666666;">'.mosFormatDate($row->dateadded, _GEM_DATE_FORMLC2)."</span></li>\n";
        }else if($elxoption == 'com_content') {
            $stdlink = 'index.php?option=com_content&amp;task=view&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
            if (($mainframe->getCfg('sef') == 2) && ($row->sseotitle != '') && ($row->cseotitle != '')) {
                $seolink = $row->sseotitle.'/'.$row->cseotitle.'/'.$row->pseotitle.'.html';
            }else{
                $seolink = $row->pseotitle.'.html';
            }
            $link = sefRelToAbs($stdlink, $seolink);
            $out .= '<li class="latestnews"><a class="mostread" href="'.$link.'" title="'.$row->title.'">'.$row->title.'</a> <span style="font:normal 10px tahoma;color:#666666;">'.mosFormatDate($row->created, _GEM_DATE_FORMLC2)."</span></li>\n";            
        }else if($elxoption == 'com_eforum'){
            $stdlink = 'index.php?option=com_eforum&amp;task=view&amp;id='.$row->id.'&amp;Itemid='.$Itemid;
            $seolink = 'eforum/'.$row->cseotitle.'/'.$row->id.'.html';
            $link = sefRelToAbs($stdlink, $seolink);
            $out .= '<li class="latestnews"><a class="mostread" href="'.$link.'" title="'.$row->title.'">'.$row->title.'</a> <span style="font:normal 10px tahoma;color:#666666;">'.mosFormatDate($row->created, _GEM_DATE_FORMLC2)."</span></li>\n"; 
        } else{
            $out .= '<li><a href="'.$link.'" title="'.$row->title.'">'.$row->title."</a></li>\n";
        }
        
    }
    
}else{
    if($lang == 'greek'){
        $out .= '<li>Η αναζήτηση δεν επέστρεψε σχετικά άρθρα</li>'."\n";
    }else {
        $out .= '<li>No articles were found</li>'."\n";
    }
}
$out .= '</ul>'."\n";
if(ob_get_length() > 0) { ob_end_clean(); }
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: '.gmdate('D, d M Y H:i:s').'GMT');
header('Cache-Control: no-cache, must-revalidate');
header('Pragma: no-cache');
header('Content-type: text/plain; charset=utf-8');
echo $out;
exit;
?>