/* CREATE A STANDARD AJAX OBJECT */
function newStdAjax() {
    var ro;
    if (window.XMLHttpRequest) {
        ro = new XMLHttpRequest();
    } else if (window.ActiveXObject) {
        ro = new ActiveXObject("Msxml2.XMLHTTP");
        if (!ro) {
            ro = new ActiveXObject("Microsoft.XMLHTTP");
        }
    }
    return ro;
}

/* AJAX WRAPPER - WORKS WITH OR WITHOUT JQUERY */
function elxAjax(etype, eurl, edata, eloadelement, eloadtext, successfunc, errorfunc) {
	if ((etype == null) || (etype == '')) { etype = 'POST'; }
	if (eurl == '') { return false; }
	if (errorfunc == null) {
		errorfunc = function (XMLHttpRequest, textStatus, errorThrown) {
        	alert('Error! '+errorThrown);
    	}
	}

	if (successfunc == null) {
		if ((eloadelement != null) && (eloadelement != '')) {
			successfunc = function (result) {
				document.getElementById(eloadelement).innerHTML = result;
			}
		} else {
			successfunc = function (result) { }
		}
	}

 	if ((eloadtext != null) && (eloadtext != '') && (eloadelement != null) && (eloadelement != '')) {
 		document.getElementById(eloadelement).innerHTML = eloadtext;
 		if (typeof jQuery != 'undefined') {
 			$('#'+eloadelement).fadeIn('slow');
		 } else {
		 	document.getElementById(eloadelement).style.display = '';
	 	}
	}


	if (etype == 'POST') {
		if (typeof jQuery != 'undefined') {
			if (edata && (typeof (edata) === 'object')) { edata = $.param(edata); }
        	$.ajax({
            	type: 'POST',
            	url: eurl,
            	data: edata,
            	dataType: 'html',
            	contentType: 'application/x-www-form-urlencoded; charset=utf-8',
            	success: successfunc,
				error: errorfunc
			});
			return;
		} else {
			if (edata && (typeof (edata) === 'object')) {
				var sdata = '';
				for (k in edata) { sdata += k+'='+edata[k]+'&'; }
				sdata += 'rnd='+Math.random();
				edata = sdata;
			}
			var rhttp = newStdAjax();
			try {
           		rhttp.open('POST', eurl, true);
           		rhttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
           		rhttp.setRequestHeader('charset', 'utf-8');
				rhttp.onreadystatechange = function () {
					if (rhttp.readyState == 4) {
						if (rhttp.status != 200) {
							errorfunc(rhttp.responseText, rhttp.status, rhttp.statusText);
						} else {
							successfunc(rhttp.responseText);
						}
					}
				};
           		rhttp.send(edata);
			}
			catch(e){}
			finally{}
		}
	}
}
/* LOAD MONTHS DYNAMICALLY */
function getMonths(year){
    var elxoption = document.getElementById('elx_option').value;
    var elxlang = document.getElementById('elx_lang').value;
	year = parseInt(year);
	var eurl = document.getElementById('modurl').innerHTML+'/modules/mod_archivist/months.class.php';
	var etype= 'POST';
	var eloadelement = 'month';
    var eloadtext = null;
	var successfunc = function(data) {
	document.getElementById(eloadelement).innerHTML = data;
	};
	var errorfunc;
	var edata = { 'year': year, 'elxoption': elxoption, 'elxlang': elxlang };

	elxAjax(etype, eurl, edata, eloadelement, eloadtext, successfunc, errorfunc);    
}

/* LOAD ARCHIVED POSTS - ARTICLES */
function loadArchiver() {
	var month = document.getElementById('month').options[document.getElementById('month').selectedIndex].value;
	var year = document.getElementById('year').options[document.getElementById('year').selectedIndex].value;
	var limit = document.getElementById('limit').options[document.getElementById('limit').selectedIndex].value;
    var elxoption = document.getElementById('elx_option').value;
    var elxlang = document.getElementById('elx_lang').value;
	year = parseInt(year);
	limit = parseInt(limit);
	if ((year == 0) && (elxlang == 'english')) {
		alert('Select a Year');
		return false;
	}else if((year == 0) && (elxlang == 'greek')){
	   alert('Επιλέξτε έτος');
       return false;
	}
    if((month == 0)&& (elxlang == 'english')){
  		alert('Select a Month');
		return false;  
    }else if((month == 0) && (elxlang == 'greek')){
        alert('Επιλέξτε Μήνα');
        return false;
    }
	var eurl = document.getElementById('modurl').innerHTML+'/modules/mod_archivist/archivist.class.php';
	var etype= 'POST';
	var eloadelement = 'archiverarea';
	if (typeof jQuery != 'undefined') {
		var eloadtext = null;
		$('#'+eloadelement).slideUp();
	} else {
		var eloadtext = 'Loading...';
	}

	var successfunc = function(data) {
		if (typeof jQuery != 'undefined') {
			$('#'+eloadelement).html(data);
			$('#'+eloadelement).slideDown();
		} else {
			document.getElementById(eloadelement).innerHTML = data;
		}
	};
	var errorfunc;
	var edata = { 'month': month, 'year': year, 'limit': limit, 'elxoption': elxoption, 'elxlang': elxlang };

	elxAjax(etype, eurl, edata, eloadelement, eloadtext, successfunc, errorfunc);
}