<?php 
/**
 * $Id: 1.0.1 mod_archivist.php 30 2011-10-16 15:34:41Z stratakisS $
 * @package: Module Archivist
 * @author: Stavros Stratakis ( WebGift Web Services )
 * @email: info@webgift.gr
 * @link: http://www.webgift.gr
 * @license: Commercial
 * @copyright: (C) 2007-2011 Stavros Stratakis (WebGift Web Services). All rights reserved.
 * @description: Archivist Module displays articles or posts using either Ajax or jQuery technology!
 ************************************************************************************************/

define('_VALID_MOS', 1);
session_start();

$elxis_root = str_replace( '/modules/mod_archivist', '', str_replace(DIRECTORY_SEPARATOR, '/', dirname(__FILE__)));
require_once($elxis_root.'/includes/Core/security.php');
require_once ($elxis_root.'/configuration.php');
unset($elxis_root);

if ($mosConfig_offline != 0) { die('BAD'); }
require_once($mosConfig_absolute_path.'/includes/Core/loader.php');

$database = new database($mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix, $mosConfig_dbtype);
$database->debug(0);
$acl = new gacl_api();

require_once($mosConfig_absolute_path.'/includes/sef.php');
require_once($mosConfig_absolute_path.'/includes/frontend.php');

$mainframe = new mosMainFrame($database, $option, $mosConfig_absolute_path);
$mainframe->initSession();
$my = $mainframe->getUser();

require_once($mosConfig_absolute_path.'/includes/Core/access.control.php');

/******************************************************/
$year = (isset($_POST['year'])) ? $_POST['year'] : 2011;
$elxoption = (isset($_POST['elxoption'])) ? trim($_POST['elxoption']) : 'com_content';
$lang = (isset($_POST['elxlang'])) ? $_POST['elxlang'] : 'english';

switch($elxoption){
    case 'com_eblog':
    $option = 'com_eblog';
    $GLOBALS['option'] = 'com_eblog';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_eblog' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
    case 'com_eforum':
    $option = 'com_eforum';
    $GLOBALS['option'] = 'com_eforum';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_eforum' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
    case 'com_content':
    default:
    $option = 'com_content';
    $GLOBALS['option'] = 'com_content';
    $query = "SELECT id FROM #__menu WHERE link='index.php?option=com_content' AND published='1'"
    ."\n AND access='29' AND ((language IS NULL) OR (language LIKE '%".$lang."%'))";
    break;
}
$database->setQuery($query, '#__', 1, 0);
$Itemid = intval($database->loadResult());
$GLOBALS['Itemid'] = $Itemid;

if($elxoption == 'com_eblog'){
    $query = "SELECT MONTH(DATE(dateadded)) AS month FROM #__eblog WHERE published = '1' AND YEAR(DATE(dateadded)) LIKE '".$year."%' AND ((language IS NULL) OR (language LIKE '%".$lang."%')) GROUP BY MONTH(DATE(dateadded))"; 
}else if ($elxoption == 'com_content'){
    $query = "SELECT MONTH(DATE(created)) AS month FROM #__content WHERE state = '1' AND YEAR(DATE(created)) LIKE '%".$year."%' AND ((language IS NULL) OR (language LIKE '%".$lang."%')) GROUP BY MONTH(DATE(created))"; 
}else if ($elxoption == 'com_eforum'){
    $query = "SELECT MONTH(DATE(created)) AS month FROM #__eforum_posts WHERE YEAR(DATE(created)) LIKE '".$year."%' GROUP BY MONTH(DATE(created))"; 
}
$database->setQuery($query, '#__', $limit, 0);
$rows = $database->loadObjectlist();

//LOAD MODULE'S LANGUAGE FILES
if (file_exists($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$lang.'.php')) {
    $l = $lang;
} elseif (file_exists($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$mainframe->getCfg('lang').'.php')) {
    $l = $mainframe->getCfg('lang');
} else {
$l = 'english';
}
require_once($mainframe->getCfg('absolute_path').'/modules/mod_archivist/language/'.$l.'.php');

//HTML LAYOUT
$out = '';
$out .= '<select name="month" id="month" title="'._SEL_MONTH.'" class="smallselect-m">'."\n";
$out .= '<option value="0" selected="selected">'._SEL_MONTH.'</option>'."\n";
if(count($rows) > 0){
    foreach($rows as $row){
        switch($row->month){
            case 1: $out .= '<option value=0'.$row->month.'>'._JAN."</option>\n";break;
            case 2: $out .= '<option value=0'.$row->month.'>'._FEB."</option>\n";break;
            case 3: $out .= '<option value=0'.$row->month.'>'._MAR."</option>\n";break;
            case 4: $out .= '<option value=0'.$row->month.'>'._APR."</option>\n";break;
            case 5: $out .= '<option value=0'.$row->month.'>'._MAY."</option>\n";break;
            case 6: $out .= '<option value=0'.$row->month.'>'._JUN."</option>\n";break;
            case 7: $out .= '<option value=0'.$row->month.'>'._JUL."</option>\n";break;
            case 8: $out .= '<option value=0'.$row->month.'>'._AUG."</option>\n";break;
            case 9: $out .= '<option value=0'.$row->month.'>'._SEP."</option>\n";break;
            case 10: $out .= '<option value='.$row->month.'>'._OCT."</option>\n";break;
            case 11: $out .= '<option value='.$row->month.'>'._NOV."</option>\n";break;
            case 12: $out .= '<option value='.$row->month.'>'._DEC."</option>\n";break;
            default: break;
        }
    }
    
}
$out .= '</select>'."\n";
if(ob_get_length() > 0) { ob_end_clean(); }
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: '.gmdate('D, d M Y H:i:s').'GMT');
header('Cache-Control: no-cache, must-revalidate');
header('Pragma: no-cache');
header('Content-type: text/plain; charset=utf-8');
echo $out;
exit;
?>